package com.ibeetl.admin.flow.entity;

import com.ibeetl.admin.core.annotation.Query;
import com.ibeetl.admin.core.entity.BaseEntity;
import org.beetl.sql.core.annotatoin.ColumnIgnore;
import org.beetl.sql.core.annotatoin.InsertIgnore;
import org.beetl.sql.core.annotatoin.Table;
import org.beetl.sql.core.annotatoin.UpdateIgnore;

@Table(name = "tb_channel_url")
public class DirectedChannelUrlEntity extends BaseEntity {

    private String id;

    @Query(name = "活动编码", display = true)
    private String fescod;

    @Query(name = "活动名称", display = true)
    private String fesname;

    @Query(name = "渠道ID", display = true)
    private String orderchannel;

    @Query(name = "渠道名称", display = true)
    private String channelname;

    @ColumnIgnore
    @Query(name = "产品ID", display = true)
    private String productid;

    @ColumnIgnore
    @Query(name = "产品名称", display = true)
    private String productname;

    @Query(name = "渠道链接", display = true)
    private String url;

    @Query(name = "短网址", display = true)
    private String shorturl;

    @InsertIgnore
    @UpdateIgnore
    private String inserttime;

    @InsertIgnore
    @UpdateIgnore
    private String updatetime;

    @InsertIgnore
    @UpdateIgnore
    private String starttime;

    @InsertIgnore
    @UpdateIgnore
    private String endedtime;

    @ColumnIgnore
    private String fesid;

    @ColumnIgnore
    private String channelid;

    /**
     * 平价活动编码
     */
    @ColumnIgnore
    private String paritycode;

    /**
     * 促销活动编码
     */
    // @ColumnIgnore
    // private String promocode;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrderchannel() {
        return orderchannel;
    }

    public void setOrderchannel(String orderchannel) {
        this.orderchannel = orderchannel;
    }

    public String getChannelname() {
        return channelname;
    }

    public void setChannelname(String channelname) {
        this.channelname = channelname;
    }

    public String getFescod() {
        return fescod;
    }

    public void setFescod(String fescod) {
        this.fescod = fescod;
    }

    public String getFesname() {
        return fesname;
    }

    public void setFesname(String fesname) {
        this.fesname = fesname;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getShorturl() {
        return shorturl;
    }

    public void setShorturl(String shorturl) {
        this.shorturl = shorturl;
    }

    public String getInserttime() {
        return inserttime;
    }

    public void setInserttime(String inserttime) {
        this.inserttime = inserttime;
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime;
    }

    public String getStarttime() {
        return starttime;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime;
    }

    public String getEndedtime() {
        return endedtime;
    }

    public void setEndedtime(String endedtime) {
        this.endedtime = endedtime;
    }

    public String getProductid() {
        return productid;
    }

    public void setProductid(String productid) {
        this.productid = productid;
    }

    public String getProductname() {
        return productname;
    }

    public void setProductname(String productname) {
        this.productname = productname;
    }

    public String getFesid() {
        return fesid;
    }

    public void setFesid(String fesid) {
        this.fesid = fesid;
    }

    public String getChannelid() {
        return channelid;
    }

    public void setChannelid(String channelid) {
        this.channelid = channelid;
    }

    public String getParitycode() {
        return paritycode;
    }

    public void setParitycode(String paritycode) {
        this.paritycode = paritycode;
    }

}
